What browsers and which versions of them should I support in my HTML template?

Hello! Now I make an html template and think about browser compability. Can anybody give me some information or link about what browsers should I support in my template? And what minimal version of them?
I didn’t find any information on the forum, so I will be grateful.

It’s always depends on situation. Try to Google about browser market share. Most people are using modern browsers, but there are always exceptions. You can test your website on the modern versions and then make a decision if you’d like to support old browser versions.

Simply open any popular theme and there you can see:

  • IE9
  • IE10
  • IE11
  • Firefox
  • Safari
  • Opera
  • Chrome
  • Edge

Thank you very mutch for brief and full answer. I think, it is simple to test IE versions using emulation. For other browsers, I think, enough support latest version, because they update automaticaly. So I start to answer my question myself :grinning:.

I don’t know about IE 11 but 9 and 10 are definitely no longer required Announcement: IE9 / IE10 Compliance No Longer Required

I would have thought that latest versions of others is probably enough

1 Like

Thank you.